Bug 486641 - library dependency issues
library dependency issues
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-20 15:01 EST by Orion Poplawski
Modified: 2009-03-26 00:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-26 00:09:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2009-02-20 15:01:48 EST
Description of problem:

rpmlint pango
pango.i386: E: explicit-lib-dependency libX11
pango.i386: E: explicit-lib-dependency libXext
pango.i386: E: explicit-lib-dependency libXft
pango.i386: E: explicit-lib-dependency libXrender
pango.i386: W: unused-direct-shlib-dependency /usr/lib/libpangoxft-1.0.so.0.2300.0 /lib/libgmodule-2.0.so.0
pango.i386: W: unused-direct-shlib-dependency /usr/lib/libpangoxft-1.0.so.0.2300.0 /usr/lib/libfreetype.so.6
pango.i386: W: unused-direct-shlib-dependency /usr/lib/libpangoft2-1.0.so.0.2300.0 /lib/libgmodule-2.0.so.0
pango.i386: W: unused-direct-shlib-dependency /usr/lib/libpangox-1.0.so.0.2300.0 /lib/libm.so.6
pango.i386: W: unused-direct-shlib-dependency /usr/lib/libpangox-1.0.so.0.2300.0 /lib/libgmodule-2.0.so.0
pango.i386: W: unused-direct-shlib-dependency /usr/lib/libpangocairo-1.0.so.0.2300.0/lib/libgmodule-2.0.so.0

Version-Release number of selected component (if applicable):
pango-1.23.0-2.fc11.i386
Comment 1 Behdad Esfahbod 2009-03-26 00:09:24 EDT
* Wed Mar 26 2009 Behdad Esfahbod <besfahbo@redhat.com> - 1.24.0-2
- Remove weird Requires(pre).
- Resolves #486641

Note You need to log in before you can comment on or make changes to this bug.